Skip to content

Sends out a preview of the CRC notification email

Request

Sends out a preview of the CRC notification email

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

Bodyapplication/jsonrequired

The domain_name to use to for record lookup

activity_idstring(Activity)
application_idstring(Application)
certification_idstring(Certification)
destination_email_addressstring(Destination Email Address)required
email_templateobject(Email Template)
reference_idstring(Reference)
registration_idstring(Registration)required
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/applications/{tenantId}/previewEmail' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "activity_id": "string",
    "application_id": "string",
    "certification_id": "string",
    "destination_email_address": "string",
    "email_template": {
      "bcc": "string",
      "body": "string",
      "cc": "string",
      "from": "string",
      "from_name": "string",
      "reply_to": "string",
      "subject": "string"
    },
    "reference_id": "string",
    "registration_id": "string"
  }'

Responses

The record was retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring